Bug 979537 - [NV43][nouveau] GPU lockup, X killed
[NV43][nouveau] GPU lockup, X killed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
21
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 15:02 EDT by Andrew Travneff
Modified: 2016-04-26 09:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:49:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (249.02 KB, text/plain)
2013-06-28 15:02 EDT, Andrew Travneff
no flags Details
xorg log (39.34 KB, text/plain)
2013-06-28 15:12 EDT, Andrew Travneff
no flags Details
dmesg log [2] (248.68 KB, text/plain)
2013-06-29 12:36 EDT, Andrew Travneff
no flags Details
xorg log [2] (41.10 KB, text/plain)
2013-06-29 12:37 EDT, Andrew Travneff
no flags Details
xorg log [3] (40.23 KB, text/plain)
2013-06-29 12:38 EDT, Andrew Travneff
no flags Details
render artefacts (30.20 KB, image/png)
2013-06-29 12:46 EDT, Andrew Travneff
no flags Details

  None (edit)
Description Andrew Travneff 2013-06-28 15:02:52 EDT
Created attachment 766703 [details]
dmesg log

Description of problem:
After upgrade to F19 I have moderate render artefacts seen mostly at Firefox. It's usable while that, but problems are quite obvious.
Now I got the subject issue after a short hang with a lot of artefacts. Happened while usual web browsing / scrolling a webpage.

Version-Release number of selected component (if applicable):
kernel 3.9.5-301.fc19.x86_64
xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64
xorg-x11-server-common-1.14.1-4.fc19.x86_64
libdrm-2.4.45-1.fc19.x86_64
mesa-dri-drivers-9.2-0.12.20130610.fc19.x86_64

How reproducible:
Artefacts always appear after some time of using Firefox (10-20 minutes maybe).
Lockup happened just once.

Additional info:
HW:
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation NV43 [GeForce 6600] [10de:0141] (rev a2)

Related dmesg and xorg log attached. drm.debug = 0x04, xorg logverbose = 7.
xorg.conf is absent, however some keyboard and mouse configuration files are
present.
Comment 1 Andrew Travneff 2013-06-28 15:12:22 EDT
Created attachment 766706 [details]
xorg log
Comment 2 Andrew Travneff 2013-06-29 12:36:20 EDT
Created attachment 766912 [details]
dmesg log [2]

Happened again under the same conditions. Dmesg log includes a try to start X again (failed). Correspondingly there are two Xorg logs attached.
Regarding screen corruptions in Firefox, seems like they can appear almost immediately after FF startup. Alternatively they can be absent for a long time of usage (1-2h?).
Comment 3 Andrew Travneff 2013-06-29 12:37:18 EDT
Created attachment 766913 [details]
xorg log [2]
Comment 4 Andrew Travneff 2013-06-29 12:38:27 EDT
Created attachment 766914 [details]
xorg log [3]
Comment 5 Andrew Travneff 2013-06-29 12:46:28 EDT
Created attachment 766915 [details]
render artefacts

Example of screen corruption (red stripes on the tabs). It's just one case, there are several possible patterns.
Comment 6 Andrew Travneff 2013-07-13 12:16:52 EDT
Sometimes things like following may happen without fatal consequences (just a freeze for a several seconds). Kernel 3.9.9-301.fc19.x86_64

[ 3769.921768] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
[ 3769.921777] [drm:output_poll_execute], [CONNECTOR:16:TV-1] status updated from 2 to 2
[ 3775.038657] nouveau E[   PFIFO][0000:01:00.0] DMA_PUSHER - ch 1 [X[832]] get 0xbeef0200 put 0x0001a174 state 0xc002018c (err: MEM_FAULT) push 0x00000000
[ 3778.038018] nouveau E[  X[832]] reloc wait_idle failed: -16
[ 3778.038026] nouveau E[  X[832]] reloc apply: -16
[ 3778.039006] [sched_delayed] sched: RT throttling activated
[ 3779.939759] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
[ 3779.939768] [drm:output_poll_execute], [CONNECTOR:16:TV-1] status updated from 2 to 2
[ 3783.300639] nouveau E[   PFIFO][0000:01:00.0] DMA_PUSHER - ch 1 [X[832]] get 0xbeef0200 put 0x00021364 state 0xc002018c (err: MEM_FAULT) push 0x00000000
[ 3783.313066] nouveau E[   PFIFO][0000:01:00.0] DMA_PUSHER - ch 1 [X[832]] get 0xbeef0200 put 0x00021394 state 0xc002018c (err: MEM_FAULT) push 0x00000000
[ 3789.953107] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
[ 3789.953115] [drm:output_poll_execute], [CONNECTOR:16:TV-1] status updated from 2 to 2
Comment 7 Andrew Travneff 2013-07-30 09:29:32 EDT
100% reproducible by launching "Savage: Rebirth" game. Kernel 3.10.3-300.fc19.x86_64
Comment 8 Perry Myers 2014-12-17 09:16:25 EST
I am seeing GPU lockups as well with nouveau. This consistently happens several times a day (randomly though).

dmesg output:
[71522.889905] nouveau E[   PFIFO][0000:01:00.0] write fault at 0x0007253000 [PAGE_NOT_PRESENT] from PGRAPH/GPC0/PROP on channel 0x001fbd4000 [cinnamon[2738]]
[71522.889910] nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 5, recovering...
[71555.809723] nouveau E[Xorg.bin[2339]] failed to idle channel 0xcccc0000 [Xorg.bin[2339]]
[71570.804907] nouveau E[Xorg.bin[2339]] failed to idle channel 0xcccc0000 [Xorg.bin[2339]]
[71570.804982] nouveau E[   PFIFO][0000:01:00.0] read fault at 0x000001b000 [PAGE_NOT_PRESENT] from PFIFO/BAR_READ on channel 0x001fcc0000 [unknown]
[71585.888061] nouveau E[chrome[3014]] failed to idle channel 0xcccc0000 [chrome[3014]]
[71600.883244] nouveau E[chrome[3014]] failed to idle channel 0xcccc0000 [chrome[3014]]
[71615.879427] nouveau E[cinnamon[2738]] failed to idle channel 0xcccc0000 [cinnamon[2738]]
[71630.874610] nouveau E[cinnamon[2738]] failed to idle channel 0xcccc0000 [cinnamon[2738]]

/var/log/messages:
Dec 17 09:05:03 nevrast kernel: [71753.073946] nouveau E[     DRM] GPU lockup - switching to software fbcon
Dec 17 09:05:03 nevrast kernel: nouveau E[     DRM] GPU lockup - switching to software fbcon
Dec 17 09:05:04 nevrast sh: abrt-watch-log: Warning, '/usr/bin/abrt-dump-xorg' did not process its input

01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [NVS 5400M] (rev a1)

xorg-x11-drv-nouveau-1.0.11-1.fc21.x86_64
kernel-3.17.6-300.fc21.x86_64

I also saw this same behavior on recent updates of F20 kernels. I updated to F21 in the hopes that it would just go away (it did not).

Hardware is a Lenovo T530 laptop. BIOS set to Integrated Graphics (not Optimus or Discrete). Using a dual monitor setup from a docking station with one DVI and one mini Display Port output. Not using the built in LCD display.

Using auto generated xorg.conf (i.e. no file in /etc/X11/xorg.conf specifically)

Output of Xorg.0.log here: http://paste.fedoraproject.org/160573/18825677

If this was a desktop, I'd just get a new video card, but since it is a laptop that's not an option...
Comment 9 Fedora End Of Life 2015-11-04 09:38:54 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-12-01 21:49:06 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.